Subject: Re: question on link state routing protocols

From: [email-masked] (Noel Chiappa)
Date: Fri, 3 May 2013 16:32:13 -0400 (EDT)

> From: Donald Eastlake <[email-masked]>

    > You seem to be saying that there are IS-IS level acks and
    > retransmission. ... As far as I know, an IS-IS router just sends updated
    > link state fragments on its various interfaces, other than the one it
    > received it on, and trusts to the CSNP/PSNP mechanism and the like to
    > fix up any problems from lost packets.

Oh, right you are - I'd forgotten that IS-IS only uses reliable flooding on
point-point links, not broadcast links. (It's been a long while since I looked
at IS-IS - sorry!)

I'm curious as to why they went that route; if the maps are not synchronized,
routing loops can occur. Presumably (I don't remember any more, although I
remember talking to John Moy a lot about OSPF) that's why when John did OSPF
he didn't copy that aspect of IS-IS (the spec doesn't say, alas); I know he
looked heavily at IS-IS and did use other ideas from it.

	Noel